.heading {
    background: $white;
    border-bottom: 1px solid #E0E0F3;

    &__breadcrumb {
        display: none;
    }

    &__main {
        padding: rem(8) 0;
        min-height: rem(70);
        display: flex;
        align-items: center;
    }

    &__back {
        font-size: 0;
        line-height: 0;
        width: rem(24);
        height: rem(24);
        flex-shrink: 0;
        display: flex;
        align-items: center;
        justify-content: center;

        i {
            height: rem(16);
            display: inline-block;
        }
    }

    &__content {
        flex-grow: 1;
        padding: 0 rem(16);
        text-align: center;
    }

    &__title {
        margin: 0;
        font-size: rem(18);
        line-height: rem(22);
        position: relative;
        padding: rem(6) 0 rem(4) 0;

        &--nowrap {
            max-width: 70vw;
            overflow: hidden;
            white-space: nowrap;
            text-overflow: ellipsis;
            display: inline-block;

            &:before {
                top: 0;
                right: 0;
                bottom: 0;
                width: 70%;
                content: '';
                display: block;
                position: absolute;
                background: linear-gradient(90deg, rgba(255,255,255,0) 0%, rgba(255,255,255,1) 100%);
            }
        }
    }

    &__counter {
        color: $gray;
        font-size: rem(12);
        line-height: rem(17);
    }

    &__action {
        display: none;
    }

    @include media-breakpoint-up(md) {

        &__back {
            margin-right: rem(10);
        }

        &__main {
            align-items: center;
        }

        &__content {

            &--left {
                text-align: left;
            }
        }

        &__title {
            font-size: rem(25);
            line-height: rem(28);

            &--nowrap {
                font-size: rem(18);
                line-height: rem(20);
                max-width: 50vw;

                &:before {
                    display: none;
                }
            }

            &--product {
                font-size: rem(18);
                line-height: rem(20);
                max-width: 50vw;

                &:before {
                    display: none;
                }
            }
        }

        &__action {
            display: flex;
            align-items: center;

            &--item {
                margin-left: rem(10);
            }
        }
    }

    @include media-breakpoint-up(xl) {
        padding-top: rem(32);
        padding-bottom: rem(12);
        border-bottom: none;

        &--product {
            padding-bottom: 0;
        }

        &__main {
            padding: 0;
        }

        &__breadcrumb {
            display: block;
            margin-bottom: rem(12);
        }

        &__back {
            display: none;
        }

        &__content {
            padding: 0;
            display: flex;
            align-items: center;
            text-align: left;
        }

        &__title {
            font-size: rem(40);
            line-height: 110%;
            max-width: rem(850);

            &--product {
                max-width: inherit;
                overflow: visible;
            }
        }

        &__counter {
            font-size: rem(15);
            line-height: rem(21);
            margin-left: rem(18);
        }

        &__action {
            display: none;
        }
    }

    @include media-breakpoint-up(xxl) {}
}
